# TdApi.GetMessageViewers (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: GetMessageViewers

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetMessageViewers

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.MessageViewers>
it.tdlight.jni.TdApi.GetMessageViewers

Enclosing class:
  TdApi

public static final class TdApi.GetMessageViewers extends TdApi.Function<TdApi.MessageViewers>
Returns viewers of a recent outgoing message in a basic group or a supergroup chat. For video notes and voice notes only users, opened content of the message, are returned. The method can be called if message.canGetViewers == true. Returns `MessageViewers`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`long`
`messageId`
Identifier of the message.

## Constructor Summary

Constructors
Constructor
Description
`GetMessageViewers()`
Returns viewers of a recent outgoing message in a basic group or a supergroup chat.
`GetMessageViewers(long chatId, long messageId)`
Returns viewers of a recent outgoing message in a basic group or a supergroup chat.
`GetMessageViewers(DataInput input)`
Returns viewers of a recent outgoing message in a basic group or a supergroup chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### messageId

public long messageId
Identifier of the message.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetMessageViewers

public GetMessageViewers()
Returns viewers of a recent outgoing message in a basic group or a supergroup chat. For video notes and voice notes only users, opened content of the message, are returned. The method can be called if message.canGetViewers == true. Returns `MessageViewers`

### GetMessageViewers

public GetMessageViewers(long chatId, long messageId)
Returns viewers of a recent outgoing message in a basic group or a supergroup chat. For video notes and voice notes only users, opened content of the message, are returned. The method can be called if message.canGetViewers == true. Returns `MessageViewers`

Parameters:
  `chatId` - long Chat identifier.
  `messageId` - long Identifier of the message.

### GetMessageViewers

public GetMessageViewers(DataInput input) throws IOException
Returns viewers of a recent outgoing message in a basic group or a supergroup chat. For video notes and voice notes only users, opened content of the message, are returned. The method can be called if message.canGetViewers == true. Returns `MessageViewers`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`